use crate::extractors::client_auth::APIClientAuth;
use crate::server::HttpResult;
use actix_web::HttpResponse;

pub mod account;
pub mod media;
pub mod profile;
pub mod room;
pub mod ws;

/// API Home route
pub async fn api_home(auth: APIClientAuth) -> HttpResult {
    Ok(HttpResponse::Ok().body(format!("Welcome user {}!", auth.user.user_id.0)))
}
